.ti {
	// overflow: hidden;

	&__inner {
		@extend .row;
	}
	&__content {
		@extend .col-md-7;
		padding-right: 80px;
		@include sm {
			margin: 0;
			padding: 0 15px;
		}
	}

	&__image {
		@extend .col-md-5;
		padding: 0;
		margin-left: -15px;
		text-align: center;
		font-size: 0;

		@include sm {
			order: -1;
			margin: 0;
			padding: 0 15px;
			margin-bottom: 25px;
		}

		img {
			display: inline-block;
			max-width: 100%;
			height: auto;
		}

		&--full {
			position: absolute;
			top: 0;
			left: 50%;
			width: 100%;
			height: 100%;
			background-repeat: no-repeat;
			background-size: auto 100%;
			background-position: top left;
		}
	}

	&--full-image {
		.ti__content {
			@extend .col-md-10;
			@extend .col-lg-9;
			@extend .col-xl-8;
			padding-right: 80px;
		}

		@include sm {
			padding-top: 0px;
			.ti__image {
				margin-bottom: 40px;

				&::after {
					content: " ";
					position: absolute;
					bottom: 0;
					left: 0;
					right: 0;
					height: 50%;
				}
			}
		}

		&.section-ti-block--dark {
			@include sm {
				.ti__image::after {
					background-image: linear-gradient(to bottom, transparent, $bg-dark);
				}
			}
		}

		&.section-ti-block--light {
			@include sm {
				.ti__image::after {
					background-image: linear-gradient(to bottom, transparent, $bg-light);
				}
			}
		}

		&.section-ti-block--white {
			@include sm {
				.ti__image::after {
					background-image: linear-gradient(to bottom, transparent, white);
				}
			}
		}
	}
	
	&--left-image {
		.ti__content {
			order: 2;
			padding-right: 0;
			padding-left: 80px;
			@include sm {
				margin: 0;
				padding: 0 15px;
			}
		}
		.ti__image {
			order: 1;
			margin-left: 0;
			margin-right: -15px;
			
			@include sm {
				margin: 0;
				margin-bottom: 25px;
				padding: 0 15px;
			}
		}

		&.ti--full-image{
			.ti__content {
				margin-left: auto;
				padding-left: 80px;

				@include sm {
					margin: 0;
					padding: 0 15px;
				}
			}
			
			.ti__image--full {
				background-position: top right;
				left: auto;
				right: 60%;
			}
		}
	}

	&__content {
		.ti--full-image &,
		.ti--left-image.ti--full-image & {
			@include sm {
				margin: 0;
				padding: 0 15px;
			}
		}
	}
}

.section-ti-block--dark {
	.text-block {
		color: #fff;
	}
}